using System.

namespace takprog1
{
    namespace takprog1
    {
        internal class Program
        {
            static void Main(string[] args)
            {
                string[] red1 = Console.ReadLine().Split(' ');
                int N = int.Parse(red1[0]);
                int L = int.Parse(red1[1]);

                string[] red2 = Console.ReadLine().Split(' ');
                int[] H = new int[N];

                for (int i = 0; i < N; i++)
                {
                    H[i] = int.Parse(red2[i]);
                }

                int r = -1;
                for (int i = 0; i < N; i++)
                {
                    if (H[i] <= L)
                    {
                        r = i + 1;
                        break;
                    }
                }

                Console.WriteLine(r);
            }
        }
    }
}